error 500 al actualizar el estado de un pedido a otro  

 
Juan Enrique
 Juan Enrique
Reputable Member

tengo usando prestashop 1.7.4.1, cuando genero un pedido y cambio de estado de uno a otro me emite error 500, adjunto imagen

luego le doy actualizar y me sale lo siguiente

lo mismo me pasa cuando genero un nuevo pedido primero sale el error 500 le doy actualizar y me sale que el pedido ya ha sido generado, que puede estar ocuirriendo???

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 21/07/2018 9:15 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Juan,

Debería probar a bajar a PHP 7.1 ya que es posible que aunque el núcleo de PrestaShop 1.7.x es compatible con PHP 7.2, algunos módulos de terceros desarrolladores posiblemente no respeten esa compatibilidad.

Para descartar mejor bajar la versión, limpiar caché y probar.

Revisa el siguiente artículo donde explico como cambiar la versión de PHP de forma global o para una carpeta concreta desde tu cPanel:

- Versión de PHP en tu Hosting ¿cómo cambiarla rápidamente? - https://www.webempresa.com/blog/version-php-hosting-como-cambiarla-rapidamente.html

Adicionalmente es importante que cuando apliques muchos cambios en la web que afectan a los archivos, ejecutes el Asistente Stephan para que corrija los permisos de tus archivos y carpetas. Tenía cientos de archivos y carpetas con permisos erróneos.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 21/07/2018 10:16 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Juan Enrique
 Juan Enrique
Reputable Member

queda como pendiente cuando me salga un nuevo pedido volvere a generar pedido e ire actualizando los estados ahi comprobare si era por el php 7,2 ya le cambie a la 7,1 ahora veamos que tal va

ResponderCitar
Respondido : 22/07/2018 8:24 am

Por favor Iniciar Sesión o Registro